=== debian/changelog ===
ros-eloquent-realsense2-node (3.1.1-1bionic) bionic; urgency=high

  * remove uneeded realsense_camera_msgs from package.xml
  * various fixes for canonical ROS2
  * Contributors: AustinDeric

 -- Doron Hirshberg <doron.hirshberg@intel.com>  Tue, 22 Sep 2020 21:00:00 -0000

ros-eloquent-realsense2-node (3.1.0-1bionic) bionic; urgency=high



 -- Doron Hirshberg <doron.hirshberg@intel.com>  Tue, 15 Sep 2020 21:00:00 -0000

ros-eloquent-realsense2-node (3.0.0-1bionic) bionic; urgency=high



 -- Doron Hirshberg <doron.hirshberg@intel.com>  Tue, 15 Sep 2020 21:00:00 -0000
