=== debian/control ===
Source: ros-eloquent-realsense2-node
Section: misc
Priority: optional
Maintainer: Doron Hirshberg <doron.hirshberg@intel.com>
Build-Depends: debhelper (>= 9.0.0), ros-eloquent-ament-cmake, ros-eloquent-ament-lint-auto, ros-eloquent-ament-lint-common, ros-eloquent-nav-msgs, ros-eloquent-rclcpp, ros-eloquent-realsense2-camera, ros-eloquent-sensor-msgs, ros-eloquent-tf2, ros-eloquent-tf2-ros, ros-eloquent-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-eloquent-realsense2-node
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-eloquent-nav-msgs, ros-eloquent-rclcpp, ros-eloquent-realsense2-camera, ros-eloquent-sensor-msgs, ros-eloquent-tf2, ros-eloquent-tf2-ros, ros-eloquent-ros-workspace
Description: ROS2 realsense node
